Subject: Re: 24.4.50; Branch emacs-24 fails to beuild on Debian

From: Paul Eggert <[email-masked]>
Date: Thu, 19 Jun 2014 23:17:28 -0700

The GCC 4.9.0 release notes say that if you compile with -flto you're 
supposed to archive with gcc-ar (not ar) and use gcc-ranlib (not 
ranlib).  (I at first thought they were kidding! but that is indeed what 
the notes say.)

I tried doing that, but it dumped core for me on Fedora 20.  I've never 
had much luck with GCC's link time optimization, to be honest -- crashes 
and glitches like these seem to happen every time I use it.

Anyway, I installed a workaround as emacs-24 bzr 117264 (at least, it 
fixed the bug for me on Fedora 20) and am closing the bug report.  The 
workaround causes the Emacs build procedure to use GCC's 
-ffat-lto-objects option, thus reverting to how GCC 4.8 does it.